package Camera;

import lombok.Getter;

@Getter
public enum AcerQHD {
    Mode1(3.7, 2560, 1440, "16:9"),
    Mode2(2.1, 1920, 1080, "16:9"),
    Mode3(0.9, 1280, 720, "16:9"),
    Mode4(0.2, 640, 360, "16:9"),
    ModeBest(3.7, 2560, 1440, "16:9"),
    ModeLive(0.3, 640, 480, "4:3");

    private final double Megapixel;
    private final int width;
    private final int height;
    private final String aspectRatio;

    AcerQHD(double Megapixel, int width, int height, String aspectRatio) {
        this.Megapixel = Megapixel;
        this.width = width;
        this.height = height;
        this.aspectRatio = aspectRatio;
    }


}
